<template>
  <v-container id="matchmakinHome">
      <v-layout row wrap class="mt-2">
        <v-flex xs12 sm6 class="text-xs-center text-sm-right">
          <v-btn dark large router to="/matchmakings" class="info">Explore Matchmaking</v-btn>
        </v-flex>
        <v-flex xs12 sm6 class="text-xs-center text-sm-left">
          <v-btn dark large router to="/matchmaking/new" class="info">Organize Matchmaking</v-btn>
        </v-flex>
      </v-layout>
      <v-layout row class="mt-5">
        <v-flex xs12 class="text-xs-center">
          <v-progress-circular 
          indeterminate 
          class="primary--text" 
          v-if="loading"
          :width="7"
          :size="70"
          ></v-progress-circular>
        </v-flex>
      </v-layout>
      <v-layout row wrap v-if="!loading">
        <v-flex xs12>
          <v-carousel style="cursor: pointer;">
            <v-carousel-item 
              v-for="matchmaking in matchmakings" 
              :src="matchmaking.imageUrl" 
              :key="matchmaking.id"
              @click="onLoadMatchmaking(matchmaking.id)">
              <div class="title">
                {{matchmaking.title}}
              </div>
            </v-carousel-item>
          </v-carousel>
        </v-flex>
      </v-layout>
       <v-layout row wrap class="mt-2">
        <v-flex xs12 class="text-xs-center">
          <p>Join our awesome matchmakings!</p>
        </v-flex>
      </v-layout>
  </v-container>
</template>

<script>
  export default {
    // eslint-disable-next-line
   computed: {
     matchmakings () {
       return this.$store.getters.featuredMatchmakings
     },
     loading () {
       return this.$store.getters.loading
     }
   },
    methods: {
      onLoadMatchmaking (id) {
        this.$router.push('/matchmakings/' + id)
      }
    },
  }
</script>
<style scoped>
    .title {
        position: absolute;
        bottom: 50px;
        background-color: rgba(0, 0, 0, 0.5);
        color: white;
        font-size: 2em;
        padding: 10px;
        left: 50%;
        transform: translate(-50%, 0);
    }
    #matchmakingHome {
    background-image : url("../assets/playstation.jpg");
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
  }
</style>

